com.oracle.truffle.api.frame

## Interface MaterializedFrame

All Superinterfaces:
  Frame

    public interface MaterializedFrame
    extends Frame

Represents a materialized frame containing values of local variables of the guest language. It can be created using the `Frame.materialize()` method. Instances of this type are the only frame instances that may be stored in fields or cast to `Object`. In contrast to a `VirtualFrame`, a `MaterializedFrame` can no longer be packed and it also does not provide access to the caller frame.

### Method Summary

### Methods inherited from interface com.oracle.truffle.api.frame.Frame

`getArguments, getBoolean, getByte, getDouble, getFloat, getFrameDescriptor, getInt, getLong, getObject, getValue, isBoolean, isByte, isDouble, isFloat, isInt, isLong, isObject, materialize, setBoolean, setByte, setDouble, setFloat, setInt, setLong, setObject`